# Class Dimension2D

java.lang.Object
com.codename1.ui.geom.Dimension2D

public class Dimension2D extends Object
Utility class that holds a width and height that represents a dimension of a component or element

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Dimension2D()`
  Creates a new instance of Dimension
  `Dimension2D(double width, double height)`
  CCreates a new instance of Dimension with width and height
  `Dimension2D(Dimension2D d)`
  Creates a new instance of Dimension with a predefine dimension

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getHeight()`
  Return the height of the dimension
  `double`
  `getWidth()`
  Returns the width of the dimension
  `void`
  `setHeight(double height)`
  Set the height of the dimension
  `void`
  `setWidth(double width)`
  Set the width of the dimension
  `String`
  `toString()`
  Returns a string representation of the object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Dimension2D

    public Dimension2D()
    Creates a new instance of Dimension

  - ### Dimension2D

    public Dimension2D(Dimension2D d)

    Creates a new instance of Dimension with a predefine dimension

    ###### Parameters

    - `d`: Dimension to copy

  - ### Dimension2D

    public Dimension2D(double width, double height)

    CCreates a new instance of Dimension with width and height

    ###### Parameters

    - `width`: the dimention width

    - `height`: the dimention height

- ## Method Details

  - ### getWidth

    public double getWidth()

    Returns the width of the dimension

    ###### Returns

    width of the dimension

  - ### setWidth

    public void setWidth(double width)

    Set the width of the dimension

    ###### Parameters

    - `width`: the dimention width

  - ### getHeight

    public double getHeight()

    Return the height of the dimension

    ###### Returns

    height of the dimension

  - ### setHeight

    public void setHeight(double height)

    Set the height of the dimension

    ###### Parameters

    - `height`: the dimention height

  - ### toString

    public String toString()
    Returns a string representation of the object. In general, the toString method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method. The toString method for class Object returns a string consisting of the name of the class of which the object is an instance, the at-sign character `@', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of: getClass().getName() + '@' + Integer.toHexString(hashCode())
    Overrides:
      `toString` in class `Object`